summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-misc/wget: Bump to version 1.19.5Lars Wendler2018-05-072-0/+118
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* eclass/cron: minor dashMikle Kolyada2018-05-071-1/+1
|
* games-rpg/adonthell: Package needs to depend on virtual/pkgconfig now.Lars Wendler2018-05-071-0/+1
| | | | Package-Manager: Portage-2.3.36, Repoman-2.3.9
* games-rpg/adonthell: Use pkg-config to find freetypeLars Wendler2018-05-072-1/+23
| | | | | Closes: https://bugs.gentoo.org/654886 Package-Manager: Portage-2.3.36, Repoman-2.3.9
* profiles/base: Set initial ENV_UNSET (EAPI 7)Michał Górny2018-05-071-0/+12
| | | | | | | Now that EAPI 7 is accepted and implemented in Portage, provide the initial environment blacklist for coming EAPI 7 ebuilds. The list is based on existing eclasses, xdg-utils mostly. Rationale is provided in the comment above ENV_UNSET.
* distutils-r1.eclass: Enable EAPI 7 supportMichał Górny2018-05-071-5/+9
| | | | | Support EAPI 7. Move PYTHON_DEPS from DEPEND to BDEPEND. Fix trailing slash uses for D/ED.
* distutils-r1.eclass: Call python via ${EPYTHON}, not full pathMichał Górny2018-05-071-2/+2
|
* distutils-r1.eclass: Remove xdg_environment_reset in EAPI 7Michał Górny2018-05-071-3/+4
| | | | | Limit xdg_environment_reset call to EAPIs 5 & 6. It should no longer be necessary with ENV_UNSET done in EAPI 7.
* python-r1.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* python-single-r1.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* python-any-r1.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* python-utils-r1.eclass: Initial EAPI 7 supportMichał Górny2018-05-071-16/+27
| | | | | | | | | Add initial EAPI 7 support. Handle trailing slash in D/ED correctly. Support new has_version switches. This does not provide proper cross support. In particular, the PYTHON variable (full path to the interpreter) is used both in contexts of BDEPEND and DEPEND, so we need to clean the uses first.
* multilib-minimal.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* scons-utils.eclass: Support EAPI 7Michał Górny2018-05-071-4/+9
| | | | | Enable EAPI 7 support. Move dev-util/scons to BDEPEND in EAPI 7 since it needs to run on the build host.
* out-of-source.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* ninja-utils.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* multilib-build.eclass: Enable EAPI 7 supportMichał Górny2018-05-071-11/+11
| | | | | Enable EAPI 7. Correct all ${ED} references to account both for trailing slash being present and absent.
* multibuild.eclass: Enable EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* git-r3.eclass: Support EAPI 7Michał Górny2018-05-071-12/+27
| | | | | Enable support for EAPI 7. Use BDEPEND for dev-vcs/git dependency since git is run at build time. Update has_version logic appropriately.
* bash-completion-r1.eclass: Allow EAPI 7 (no changes)Michał Górny2018-05-071-2/+2
|
* dev-games/newton: Remove unnecessary use of unpackerMichał Górny2018-05-071-3/+3
| | | | | | | Replace the unnecessary use of unpacker.eclass with built-in EAPI unpacking. Closes: https://github.com/gentoo/gentoo/pull/8290
* games-rpg/soltys: Remove unnecessary use of unpackerMichał Górny2018-05-071-5/+5
| | | | | | Replace the unnecessary use of unpacker.eclass with built-in EAPI unpacking. This also fixes missing dependency on app-arch/unzip due to unpacker.eclass being broken with complex SRC_URIs in EAPI 6.
* games-rpg/dreamweb: Remove unnecessary use of unpackerMichał Górny2018-05-071-9/+9
| | | | | | Replace the unnecessary use of unpacker.eclass with built-in EAPI unpacking. This also fixes missing dependency on app-arch/unzip due to unpacker.eclass being broken with complex SRC_URIs in EAPI 6.
* games-rpg/draci-historie: Remove unnecessary use of unpackerMichał Górny2018-05-071-6/+6
| | | | | | Replace the unnecessary use of unpacker.eclass with built-in EAPI unpacking. This also fixes missing dependency on app-arch/unzip due to unpacker.eclass being broken with complex SRC_URIs in EAPI 6.
* dev-python/Babel: Mark for ALLARCHES stabilizationMichał Górny2018-05-071-0/+1
|
* dev-python/freezegun: Add missing PYTHON_USEDEPsMichał Górny2018-05-071-2/+2
|
* dev-python/freezegun: Mark for ALLARCHES stabilizationMichał Górny2018-05-071-0/+1
|
* dev-db/mongodb: bump to 3.4.14/3.6.4Tomas Mozes2018-05-073-0/+339
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* app-admin/mongo-tools: bump to 3.4.14/3.6.4Tomas Mozes2018-05-073-0/+123
| | | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9 Closes: https://github.com/gentoo/gentoo/pull/8150
* media-video/dvdauthor: Use pkg-config to find freetypeLars Wendler2018-05-072-1/+48
| | | | | Bug: https://bugs.gentoo.org/654884 Package-Manager: Portage-2.3.36, Repoman-2.3.9
* eclass/cron: replace old gorg url to avoid redundant redirectionMikle Kolyada2018-05-071-2/+2
|
* dev-python/snowballstemmer: ALLARCHES propagate stable on 1.2.1Michał Górny2018-05-071-1/+1
| | | | Closes: https://bugs.gentoo.org/655126
* dev-python/snowballstemmer: Mark for ALLARCHES stabilizationMichał Górny2018-05-071-0/+1
|
* dev-python/iso8601: Mark for ALLARCHES stabilizationMichał Górny2018-05-071-0/+1
|
* games-engines/scummvm: Added improved freetype_pkgconfig patchLars Wendler2018-05-072-34/+84
| | | | | | | which should be ready for upstream inclusion. Bug: https://bugs.gentoo.org/655032 Package-Manager: Portage-2.3.36, Repoman-2.3.9
* sys-process/criu: disable use of the gold linkerRahul Chaudhry2018-05-071-0/+6
| | | | | | The criu build process uses a custom linker script that doesn't play well the output of the gold linker leading to build failures. Disable gold for now to avoid this.
* x11-terms/kitty: version bump to 0.9.1Tim Harder2018-05-074-2/+152
| | | | Closes: https://bugs.gentoo.org/655076
* dev-ruby/rest-client: fix building without FEATURES=testHans de Graaff2018-05-071-0/+1
| | | | | | | | Use the default rdoc method to generate documentation to avoid needing rspec with only USE=doc Closes: https://bugs.gentoo.org/654864 Package-Manager: Portage-2.3.24, Repoman-2.3.6
* sys-apps/cpuid: version bump to 20180419Mike Frysinger2018-05-072-0/+34
|
* dev-ruby/capybara: add 3.0.3Hans de Graaff2018-05-072-0/+51
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* dev-ruby/launchy: add ruby25Hans de Graaff2018-05-071-1/+1
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* dev-ruby/xpath: add ruby25Hans de Graaff2018-05-072-2/+2
| | | | Package-Manager: Portage-2.3.24, Repoman-2.3.6
* media-libs/mesa: Transition deps to x11-base/xorg-protoMatt Turner2018-05-061-13/+1
|
* x11-apps/iceauth: Drop old versionsMatt Turner2018-05-063-32/+0
|
* x11-base/xorg-server: Version bump to 1.19.99.905Matt Turner2018-05-062-0/+220
|
* x11-libs/gtk+: bump to 2.24.32Mart Raudsepp2018-05-072-0/+313
| | | | | | | | Thanks-to: Dennis Schridde <devurandom@gmx.net> Closes: https://bugs.gentoo.org/650536 Bug: https://bugs.gentoo.org/641994 Closes: https://bugs.gentoo.org/648916 Package-Manager: Portage-2.3.28, Repoman-2.3.9
* dev-util/gtk-builder-convert: bump to 2.24.32Mart Raudsepp2018-05-072-0/+45
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* media-libs/t1lib: Drop unnecessary dependency on x11-libs/libXfontMatt Turner2018-05-061-5/+1
| | | | | | Transition to depending on x11-base/xorg-proto while we're here. Closes: https://bugs.gentoo.org/655106
* kde-misc/yakuake: x86 stable (bug #655066)Thomas Deutschmann2018-05-071-1/+1
| | | | Package-Manager: Portage-2.3.34, Repoman-2.3.9
* sci-biology/wgs-assembler: x86 stable (bug #374815)Thomas Deutschmann2018-05-071-1/+1
| | | | Package-Manager: Portage-2.3.34, Repoman-2.3.9